Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.insurabilityv2.session.impl
Class InsurabilityServiceImpl

    java.lang.Object
      be.ehealth.businessconnector.insurabilityv2.session.impl.InsurabilityServiceImpl

All Implemented Interfaces:
  InsurabilityService

    public class InsurabilityServiceImpl

extends Object
implements InsurabilityService

Implementation of `InsurabilityService`

Constructor Summary
`InsurabilityServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)` Instantiates a new Insurability service impl.

Method Summary
`GetInsurabilityForPharmacistResponse` | `getInsurabilityForPharmacist(GetInsurabilityForPharmacistRequest request)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsurabilityServiceImpl

    public InsurabilityServiceImpl(SessionValidator sessionValidator,
                                   EhealthReplyValidator replyValidator)
                            throws TechnicalConnectorException

  Instantiates a new Insurability service impl.

  Parameters:
    `sessionValidator` - the sessionValidator
    `replyValidator` - the replyValidator
  Throws:
    `TechnicalConnectorException`

Method Detail

### getInsurabilityForPharmacist

    public GetInsurabilityForPharmacistResponse getInsurabilityForPharmacist(GetInsurabilityForPharmacistRequest request)
                                                                      throws InsurabilityBusinessConnectorException,
                                                                             TechnicalConnectorException,
                                                                             SessionManagementException

  Specified by:
    `getInsurabilityForPharmacist` in interface `InsurabilityService`
  Returns:
  Throws:
    `InsurabilityBusinessConnectorException`
    `TechnicalConnectorException`
    `SessionManagementException`
  See Also:
    `InsurabilityService.getInsurabilityForPharmacist(be.fgov.ehealth.insurability.protocol.v2.GetInsurabilityForPharmacistRequest)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.